VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::EthernetTypes::BackingInfo Class Reference

The `Ethernet.BackingInfo` class contains information about the physical resource backing a virtual Ethernet adapter. More...

List of all members.

## Public Member Functions
| BackingInfo ()
| Creates a default new instance.
vmware.vcenter.vm.hardware.EthernetTypes.BackingType | Get_Type ()
| Backing type for the virtual Ethernet adapter.
void | SetType (vmware.vcenter.vm.hardware.EthernetTypes.BackingType type)
| Backing type for the virtual Ethernet adapter.
string | GetNetwork ()
| Identifier of the network backing the virtual Ethernet adapter.
void | SetNetwork (string network)
| Identifier of the network backing the virtual Ethernet adapter.
string | GetNetworkName ()
| Name of the standard portgroup backing the virtual Ethernet adapter.
void | SetNetworkName (string networkName)
| Name of the standard portgroup backing the virtual Ethernet adapter.
string | GetHostDevice ()
| Name of the device backing the virtual Ethernet adapter.
void | SetHostDevice (string hostDevice)
| Name of the device backing the virtual Ethernet adapter.
string | GetDistributedSwitchUuid ()
| UUID of the distributed virtual switch that backs the virtual Ethernet adapter.
void | SetDistributedSwitchUuid (string distributedSwitchUuid)
| UUID of the distributed virtual switch that backs the virtual Ethernet adapter.
string | GetDistributedPort ()
| Key of the distributed virtual port that backs the virtual Ethernet adapter.
void | SetDistributedPort (string distributedPort)
| Key of the distributed virtual port that backs the virtual Ethernet adapter.
long | GetConnectionCookie ()
| Server-generated cookie that identifies the connection to the port.
void | SetConnectionCookie (long?connectionCookie)
| Server-generated cookie that identifies the connection to the port.
string | GetOpaqueNetworkType ()
| Type of the opaque network that backs the virtual Ethernet adapter.
void | SetOpaqueNetworkType (string opaqueNetworkType)
| Type of the opaque network that backs the virtual Ethernet adapter.
string | GetOpaqueNetworkId ()
| Identifier of the opaque network that backs the virtual Ethernet adapter.
void | SetOpaqueNetworkId (string opaqueNetworkId)
| Identifier of the opaque network that backs the virtual Ethernet adapter.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Ethernet.BackingInfo` class contains information about the physical resource backing a virtual Ethernet adapter.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::EthernetTypes::BackingInfo::BackingInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::hardware::EthernetTypes::BackingInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::hardware::EthernetTypes::BackingInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::hardware::EthernetTypes::BackingInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::EthernetTypes::BackingInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::hardware::EthernetTypes::BackingInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::hardware::EthernetTypes::BackingInfo::Equals | ( | object | obj | ) | `[inline]`

vmware.vcenter.vm.hardware.EthernetTypes.BackingType vmware::vcenter::vm::hardware::EthernetTypes::BackingInfo::Get_Type | ( |  | ) | `[inline]`

Backing type for the virtual Ethernet adapter.

long vmware::vcenter::vm::hardware::EthernetTypes::BackingInfo::GetConnectionCookie | ( |  | ) | `[inline]`

Server-generated cookie that identifies the connection to the port.

This ookie may be used to verify that the virtual machine is the rightful owner of the port.

string vmware::vcenter::vm::hardware::EthernetTypes::BackingInfo::GetDistributedPort | ( |  | ) | `[inline]`

Key of the distributed virtual port that backs the virtual Ethernet adapter.

string vmware::vcenter::vm::hardware::EthernetTypes::BackingInfo::GetDistributedSwitchUuid | ( |  | ) | `[inline]`

UUID of the distributed virtual switch that backs the virtual Ethernet adapter.

override int vmware::vcenter::vm::hardware::EthernetTypes::BackingInfo::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::vm::hardware::EthernetTypes::BackingInfo::GetHostDevice | ( |  | ) | `[inline]`

Name of the device backing the virtual Ethernet adapter.

string vmware::vcenter::vm::hardware::EthernetTypes::BackingInfo::GetNetwork | ( |  | ) | `[inline]`

Identifier of the network backing the virtual Ethernet adapter.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Network` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Network` .

string vmware::vcenter::vm::hardware::EthernetTypes::BackingInfo::GetNetworkName | ( |  | ) | `[inline]`

Name of the standard portgroup backing the virtual Ethernet adapter.

string vmware::vcenter::vm::hardware::EthernetTypes::BackingInfo::GetOpaqueNetworkId | ( |  | ) | `[inline]`

Identifier of the opaque network that backs the virtual Ethernet adapter.

string vmware::vcenter::vm::hardware::EthernetTypes::BackingInfo::GetOpaqueNetworkType | ( |  | ) | `[inline]`

Type of the opaque network that backs the virtual Ethernet adapter.

void vmware::vcenter::vm::hardware::EthernetTypes::BackingInfo::SetConnectionCookie | ( | long? | connectionCookie | ) | `[inline]`

Server-generated cookie that identifies the connection to the port.

This ookie may be used to verify that the virtual machine is the rightful owner of the port.

void vmware::vcenter::vm::hardware::EthernetTypes::BackingInfo::SetDistributedPort | ( | string | distributedPort | ) | `[inline]`

Key of the distributed virtual port that backs the virtual Ethernet adapter.

void vmware::vcenter::vm::hardware::EthernetTypes::BackingInfo::SetDistributedSwitchUuid | ( | string | distributedSwitchUuid | ) | `[inline]`

UUID of the distributed virtual switch that backs the virtual Ethernet adapter.

void vmware::vcenter::vm::hardware::EthernetTypes::BackingInfo::SetHostDevice | ( | string | hostDevice | ) | `[inline]`

Name of the device backing the virtual Ethernet adapter.

void vmware::vcenter::vm::hardware::EthernetTypes::BackingInfo::SetNetwork | ( | string | network | ) | `[inline]`

Identifier of the network backing the virtual Ethernet adapter.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Network` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Network` .

void vmware::vcenter::vm::hardware::EthernetTypes::BackingInfo::SetNetworkName | ( | string | networkName | ) | `[inline]`

Name of the standard portgroup backing the virtual Ethernet adapter.

void vmware::vcenter::vm::hardware::EthernetTypes::BackingInfo::SetOpaqueNetworkId | ( | string | opaqueNetworkId | ) | `[inline]`

Identifier of the opaque network that backs the virtual Ethernet adapter.

void vmware::vcenter::vm::hardware::EthernetTypes::BackingInfo::SetOpaqueNetworkType | ( | string | opaqueNetworkType | ) | `[inline]`

Type of the opaque network that backs the virtual Ethernet adapter.

void vmware::vcenter::vm::hardware::EthernetTypes::BackingInfo::SetType | ( | vmware.vcenter.vm.hardware.EthernetTypes.BackingType | type | ) | `[inline]`

Backing type for the virtual Ethernet adapter.

override string vmware::vcenter::vm::hardware::EthernetTypes::BackingInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- EthernetTypes.cs